<?php

/**
 * 应用宝, 创建订单
 */
include_once __DIR__ . '/../../../main.php';             # 导入game utils
include_once __DIR__ . '/../Mo/resp.php';                # 导入通用返回值结构
include_once __DIR__ . '/../Mo/payRequest.php';          # 导入通用订单请求结构
require_once 'config.yyb.php';                           # 配置文件, Ps. 里面用到了object

use loyalsoft\CLog;
use loyalsoft\JsonUtil;
use loyalsoft\HttpUtil;

$str = HttpUtil::getQueryString();                       # 取参数
//    $str = gzinflate($str);
$data = JsonUtil::decode($str);
$req = new PayRequest($data);                            # 解析参数并创建订单
// 参数里面需要额外传plat和sandbox
$plat = $data->plat;
$tag = '[pay.yyb]';
if ($req->InserDataBase()) {                             # 订单数据入库
    CLog::pay($tag . ' 创建订单' . $req);
    echo Resp::ok($req->retData());                      # 返回值
} else {
    CLog::pay($tag . ' 创建订单失败' . $req);
    echo Resp::err(1, '创建订单失败');                     # 返回值
}